## magnum 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel>=1.3 # BSD
PrettyTable<0.8,>=0.7 # BSD
PyYAML>=3.1.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WSME>=0.8 # MIT
WebOb>=1.2.3 # MIT
alembic>=0.8.0 # MIT
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker-py>=1.6.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
iso8601>=0.1.9 # MIT
jsonpatch>=1.1 # BSD
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.versionedobjects>=1.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
paramiko>=1.16.0 # LGPL
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
python-barbicanclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
setuptools>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
stevedore>=1.5.0 # Apache-2.0
taskflow>=1.26.0 # Apache-2.0
cryptography>=1.0 # BSD/Apache-2.0
urllib3>=1.8.3 # MIT

## magnum 1.0.0~b1

=== debian/changelog ===
magnum (1.0.0~b1-5) unstable; urgency=medium

  * Import po files from Glance (Closes: #804126).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:51:23 +0100

magnum (1.0.0~b1-4) unstable; urgency=medium

  * Added missing magnum-common dbconfig-common dependency (Closes: #804107).
  * Added python-openstackclient depends in magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2015 11:03:26 +0100

magnum (1.0.0~b1-3) unstable; urgency=medium

  * Added q-text-as-data in depends for magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:45:32 +0000

magnum (1.0.0~b1-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:29:29 +0000

magnum (1.0.0~b1-1) unstable; urgency=medium

  * Initial release. (Closes: #803532)

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2015 06:26:24 +0100

=== debian/control ===
Source: magnum
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-decorator (>= 3.4.0),
                     python-doc8,
                     python-docker (>= 1.1.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 0.18.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 0.3.0),
                     python-iso8601 (>= 0.1.9),
                     python-jsonpatch,
                     python-keystoneclient (>= 1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.1.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-pecan (>= 1.0.0),
                     python-prettytable,
                     python-requests (>= 2.5.2),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-taskflow (>= 1.16.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.8.3),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.7),
                     python-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/magnum.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/magnum.git
Homepage: http://github.com/openstack/magnum

Package: python-magnum
Section: python
Architecture: all
Depends: alembic (>= 0.8.0),
         python-babel,
         python-barbicanclient (>= 3.3.0),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-docker (>= 1.1.0),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 0.18.0),
         python-greenlet (>= 0.3.2),
         python-heatclient (>= 0.3.0),
         python-iso8601 (>= 0.1.9),
         python-jsonpatch,
         python-keystoneclient (>= 1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-netaddr (>= 0.7.12),
         python-novaclient (>= 2:2.28.1),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.1.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-paramiko (>= 1.13.0),
         python-pecan (>= 1.0.0),
         python-prettytable,
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-taskflow (>= 1.16.0),
         python-urllib3 (>= 1.8.3),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.7),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

Package: magnum-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-magnum (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-api
Architecture: all
Depends: magnum-common (= ${binary:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-conductor
Architecture: all
Depends: magnum-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_install:
	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	oslo-config-generator --output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	cp etc/magnum/policy.json $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

## magnum 2.0.0

=== debian/changelog ===
magnum (2.0.0-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control: Drop min version of python-docker to 1.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Apr 2016 12:35:38 -0400

magnum (2.0.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819209).
  * Updated pt_BR.po debconf translation (Closes: #819257).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:04:40 +0200

magnum (2.0.0-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:38:20 +0000

magnum (2.0.0-2) experimental; urgency=medium

  * Fixed config file generation.
  * Added missing oslo.middleware.cors namespace when generating config.
  * Also packaging api-paste.ini.
  * Set correct lock_path and auth_protocol default options in magnum.conf.
  * Correctly install all files in the package.
  * Add fix-bashisms.patch.
  * Set default listen on all IPs for magnum-api (ie: 0.0.0.0 instead of the
    default, which is 127.0.0.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 23:11:15 +0100

magnum (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Failed build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:51:47 +0100

magnum (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated nl.po debconf translation (Closes: #812355).
  * Updated fr.po debconf translation (Closes: #807767).
  * Added a watch file.
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:33:13 +0800

=== debian/control ===
--- 
+++ 
@@ -1,74 +1,82 @@
 Source: magnum
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 40~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: alembic (>= 0.8.0),
+                     bandit,
                      python-babel,
                      python-barbicanclient (>= 3.3.0),
+                     python-cliff (>= 1.15.0),
                      python-coverage,
                      python-cryptography (>= 1.0),
                      python-decorator (>= 3.4.0),
                      python-doc8,
-                     python-docker (>= 1.1.0),
-                     python-eventlet (>= 0.17.4),
+                     python-docker (>= 1.5.0),
+                     python-enum34,
+                     python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 0.18.0),
+                     python-glanceclient (>= 2.0.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 0.3.0),
+                     python-heatclient (>= 0.6.0),
                      python-iso8601 (>= 0.1.9),
                      python-jsonpatch,
-                     python-keystoneclient (>= 1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
+                     python-keystoneclient (>= 2.0.0),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 1.3),
                      python-netaddr (>= 0.7.12),
-                     python-novaclient (>= 2:2.28.1),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 2.3.0),
+                     python-neutronclient (>= 2.6.0),
+                     python-novaclient (>= 2:2.29.0),
+                     python-os-testr (>= 0.4.1),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 2.0.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.reports (>= 0.1.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslo.versionedobjects (>= 0.9.0),
+                     python-oslo.reports (>= 1.0.0),
+                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.versionedobjects (>= 1.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
                      python-pecan (>= 1.0.0),
                      python-prettytable,
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-taskflow (>= 1.16.0),
-                     python-tempest-lib (>= 0.8.0),
+                     python-taskflow (>= 1.26.0),
+                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
+                     python-tz,
                      python-urllib3 (>= 1.8.3),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/magnum.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/magnum.git
-Homepage: http://github.com/openstack/magnum
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/magnum.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/magnum.git
+Homepage: https://github.com/openstack/magnum
 
 Package: python-magnum
 Section: python
@@ -76,43 +84,48 @@
 Depends: alembic (>= 0.8.0),
          python-babel,
          python-barbicanclient (>= 3.3.0),
+         python-cliff (>= 1.15.0),
          python-cryptography (>= 1.0),
          python-decorator (>= 3.4.0),
-         python-docker (>= 1.1.0),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 0.18.0),
+         python-docker (>= 1.5.0),
+         python-enum34,
+         python-eventlet (>= 0.18.4),
+         python-glanceclient (>= 2.0.0),
          python-greenlet (>= 0.3.2),
-         python-heatclient (>= 0.3.0),
+         python-heatclient (>= 0.6.0),
          python-iso8601 (>= 0.1.9),
          python-jsonpatch,
-         python-keystoneclient (>= 1.6.0),
-         python-keystonemiddleware (>= 2.0.0),
+         python-keystoneclient (>= 2.0.0),
+         python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.12),
-         python-novaclient (>= 2:2.28.1),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 2.3.0),
+         python-neutronclient (>= 2.6.0),
+         python-novaclient (>= 2:2.29.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 2.0.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.reports (>= 0.1.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-oslo.versionedobjects (>= 0.9.0),
+         python-oslo.reports (>= 1.0.0),
+         python-oslo.serialization (>= 2.0.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-oslo.versionedobjects (>= 1.5.0),
          python-paramiko (>= 1.13.0),
+         python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-prettytable,
-         python-requests (>= 2.5.2),
+         python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
-         python-taskflow (>= 1.16.0),
+         python-taskflow (>= 1.26.0),
          python-urllib3 (>= 1.8.3),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,19 +7,34 @@
 	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc
 
 override_dh_install:
+	rm -rf $(CURDIR)/debian/tmp
+	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
+
 	dh_install --fail-missing
 	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
-	oslo-config-generator --output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
 		--namespace magnum \
 		--namespace oslo.concurrency \
 		--namespace oslo.db \
 		--namespace oslo.log \
 		--namespace oslo.messaging \
+		--namespace oslo.middleware.cors \
 		--namespace oslo.policy \
 		--namespace oslo.service.periodic_task \
 		--namespace oslo.service.service \
 		--namespace keystonemiddleware.auth_token
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http
+
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum
+
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
+
 	cp etc/magnum/policy.json $(CURDIR)/debian/magnum-common/usr/share/magnum-common
+	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common
+
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
@@ -38,8 +53,8 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit || true; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
 	done

## magnum 3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel>=2.3.4 # BSD
PrettyTable<0.8,>=0.7 # BSD
PyYAML>=3.1.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WSME>=0.8 # MIT
WebOb>=1.2.3 # MIT
alembic>=0.8.4 # MIT
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker-py<1.8.0,>=1.6.0 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch>=1.1 # BSD
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
pbr>=1.6 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-k8sclient>=0.2.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
taskflow>=1.26.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
urllib3>=1.15.1 # MIT

=== debian/changelog ===
magnum (3.0.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:06:36 +0000

magnum (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Using OpenStack Gerrit as VCS URLs.
  * Fixed (build-)depends for this release.
  * Removed all patches (now irrelevant).
  * Updated Danish translation of the debconf templates (Closes: #830647).

  [ Spyros Trigazis ]
  * Fixed endpoint registration type and description.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:31:58 +0200

magnum (2.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Japanese debconf templates translation update (Closes: #820764).
  * Updated Dutch debconf templates translation (Closes: #823254).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:11:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,129 +1,137 @@
 Source: magnum
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
-               python-setuptools,
+               python-setuptools (>= 24.0.0),
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.0),
+Build-Depends-Indep: alembic (>= 0.8.4),
                      bandit,
-                     python-babel,
-                     python-barbicanclient (>= 3.3.0),
+                     python-babel (>= 2.3.4),
+                     python-barbicanclient (>= 4.0.0),
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-cryptography (>= 1.0),
                      python-decorator (>= 3.4.0),
                      python-doc8,
-                     python-docker (>= 1.5.0),
+                     python-docker (>= 1.6.0),
                      python-enum34,
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 2.0.0),
+                     python-fixtures (>= 3.0.0),
+                     python-glanceclient (>= 2.3.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.0),
-                     python-heatclient (>= 0.6.0),
-                     python-iso8601 (>= 0.1.9),
+                     python-heatclient (>= 1.4.0),
+                     python-iso8601 (>= 0.1.11),
                      python-jsonpatch,
+                     python-k8sclient (>= 0.2.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystoneclient (>= 2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 2.6.0),
+                     python-neutronclient (>= 5.1.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-api-ref,
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.reports (>= 1.0.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
-                     python-oslo.versionedobjects (>= 1.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.versionedobjects (>= 1.13.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-paramiko (>= 1.13.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-paramiko (>= 2.0),
                      python-pecan (>= 1.0.0),
+                     python-pep8,
                      python-prettytable,
-                     python-requests (>= 2.8.1),
+                     python-pycadf (>= 1.1.0),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-taskflow (>= 1.26.0),
-                     python-tempest-lib (>= 0.14.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
-                     python-urllib3 (>= 1.8.3),
+                     python-urllib3 (>= 1.15.1),
                      python-webob (>= 1.2.3),
                      python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/magnum.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/magnum.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-magnum?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-magnum -b debian/newton
 Homepage: https://github.com/openstack/magnum
 
 Package: python-magnum
 Section: python
 Architecture: all
-Depends: alembic (>= 0.8.0),
-         python-babel,
-         python-barbicanclient (>= 3.3.0),
+Depends: alembic (>= 0.8.4),
+         python-babel (>= 2.3.4),
+         python-barbicanclient (>= 4.0.0),
          python-cliff (>= 1.15.0),
          python-cryptography (>= 1.0),
          python-decorator (>= 3.4.0),
-         python-docker (>= 1.5.0),
+         python-docker (>= 1.6.0),
          python-enum34,
          python-eventlet (>= 0.18.4),
-         python-glanceclient (>= 2.0.0),
+         python-glanceclient (>= 2.3.0),
          python-greenlet (>= 0.3.2),
-         python-heatclient (>= 0.6.0),
-         python-iso8601 (>= 0.1.9),
+         python-heatclient (>= 1.4.0),
+         python-iso8601 (>= 0.1.11),
          python-jsonpatch,
+         python-k8sclient (>= 0.2.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 2.6.0),
+         python-neutronclient (>= 5.1.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.reports (>= 1.0.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
-         python-oslo.versionedobjects (>= 1.5.0),
-         python-paramiko (>= 1.13.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.16.0),
+         python-oslo.versionedobjects (>= 1.13.0),
+         python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-prettytable,
-         python-requests (>= 2.8.1),
+         python-pycadf (>= 1.1.0),
+         python-requests (>= 2.10.0),
+         python-setuptools (>= 24.0.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          python-taskflow (>= 1.26.0),
-         python-urllib3 (>= 1.8.3),
+         python-urllib3 (>= 1.15.1),
          python-webob (>= 1.2.3),
          python-wsme (>= 0.8),
          python-yaml,

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/magnum/tags .*/(\d[\d\.]+)\.tar\.gz

## magnum 3.1.1

=== requirements.txt ===
--- 
+++ 
@@ -22,11 +22,11 @@
 jsonpatch>=1.1 # BSD
 keystoneauth1>=2.10.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
 oslo.context>=2.9.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
@@ -55,3 +55,4 @@
 taskflow>=1.26.0 # Apache-2.0
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
 urllib3>=1.15.1 # MIT
+Werkzeug>=0.7 # BSD License

=== debian/changelog ===
magnum (3.1.1-5) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2016-7404 (Closes: #863547)

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Jun 2017 16:31:39 +0200

magnum (3.1.1-4) unstable; urgency=medium

  * Brazilian Portuguese debconf templates (Closes: #852444).
  * German debconf translation update (Closes: #842486).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:31:50 +0200

magnum (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858703).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:49:48 +0200

magnum (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add missing files (Closes: #847097).
  * Allow SQLAlchemy >= 1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 16:53:30 +0100

magnum (3.1.1-1) unstable; urgency=medium

  * Fixed missing Alembic migration scripts (LP: #1632743).
  * Fixed missing lsb-base runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2016 23:58:31 +0200

magnum (3.1.1-0) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable (Closes: #835100).
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:54:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 54~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -36,7 +36,7 @@
                      python-keystoneclient (>= 2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-neutronclient (>= 5.1.0),
                      python-novaclient (>= 2:2.29.0),
                      python-openstackdocstheme (>= 1.5.0),
@@ -73,6 +73,7 @@
                      python-tz,
                      python-urllib3 (>= 1.15.1),
                      python-webob (>= 1.2.3),
+                     python-werkzeug,
                      python-wsme (>= 0.8),
                      python-yaml,
                      subunit,
@@ -103,7 +104,7 @@
          python-keystoneauth1 (>= 2.10.0),
          python-keystoneclient (>= 2.0.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-neutronclient (>= 5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.8.0),
@@ -133,6 +134,7 @@
          python-taskflow (>= 1.26.0),
          python-urllib3 (>= 1.15.1),
          python-webob (>= 1.2.3),
+         python-werkzeug,
          python-wsme (>= 0.8),
          python-yaml,
          ${misc:Depends},
@@ -175,6 +177,7 @@
          python-openstackclient,
          q-text-as-data,
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack containers as a service
  Magnum is an OpenStack project which offers container orchestration engines
@@ -192,6 +195,7 @@
 Architecture: all
 Depends: magnum-common (= ${binary:Version}),
          ${misc:Depends},
+         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack containers as a service - conductor
  Magnum is an OpenStack project which offers container orchestration engines
